Arg_helper.Make(3o)

NAME
Arg_helper.Make - no description

Module
Module Arg_helper.Make

Documentation

Module Make
 : (S : sig end) -> sig end

Parameters:

"S"

sig end

type parsed

val default : S.Value.t -> parsed

val set_base_default : S.Value.t -> parsed -> parsed

val add_base_override : S.Key.t -> S.Value.t -> parsed -> parsed

val reset_base_overrides : parsed -> parsed

val set_user_default : S.Value.t -> parsed -> parsed

val add_user_override : S.Key.t -> S.Value.t -> parsed -> parsed

val parse : string -> string -> parsed ref -> unit

type parse_result =
 | Ok
 | Parse_failed of exn

val parse_no_error : string -> parsed ref -> parse_result

val get : key:S.Key.t -> parsed -> S.Value.t